Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to install nginx from the nginx official repositories.

I downloaded the nginx-release-rhel*.rpm from nginx.org and installed it with yum. But, altough a new nginx-debug package is available from the new nginx repo, the available version for nginx is 0.8.54.

What can I do to force the installation of nginx 1.0.X?

Edit: More information with configuration files.

This is the /etc/yum.repos.d/nginx.repo file:

[nginx]
name=nginx repo
baseurl=http://nginx.org/packages/rhel/6/$basearch/
gpgcheck=0
enabled=1

This is what uname -a has to say:

$ uname -a
Linux ip-XX-XXX-XX-YYY 2.6.35.14-107.1.36.amzn1.i686 #1 SMP Thu Feb 16 23:14:37 UTC 2012 i686 i686 i386 GNU/Linux

Finally, this is the output of yum info nginx:

$ yum info nginx
Loaded plugins: fastestmirror, priorities, security, update-motd
Loading mirror speeds from cached hostfile
 * amzn-main: packages.us-east-1.amazonaws.com
 * amzn-updates: packages.us-west-2.amazonaws.com
amzn-main                                                                                                                     | 2.1 kB     00:00     
amzn-updates                                                                                                                  | 2.3 kB     00:00     
nginx                                                                                                                         | 1.3 kB     00:00     
10 packages excluded due to repository priority protections
Available Packages
Name        : nginx
Arch        : i686
Version     : 0.8.54
Release     : 1.4.amzn1
Size        : 385 k
Repo        : amzn-updates
Summary     : Robust, small and high performance HTTP and reverse proxy server
URL         : http://nginx.net/
License     : BSD
Description : Nginx [engine x] is an HTTP(S) server, HTTP(S) reverse proxy and IMAP/POP3
            : proxy server written by Igor Sysoev.
share|improve this question
    
Did you enable the yum repo as described on the nginx download page wiki.nginx.org/Install ? If so, can you show your /etc/yum.repos.d/nginx.repo file? –  cjc Mar 14 '12 at 8:58
    
@cjc I just added more information. Hope it helps to find the solution –  Noe Nieto Mar 14 '12 at 18:07

1 Answer 1

up vote 1 down vote accepted

It looks like it's hitting the Amazon repo and ignoring the nginx one. Try doing this:

yum --showduplicates list nginx

See if you can see the 1.x packages from that.

Then, with the specific name, do something like:

yum install nginx-1.0.13-1

to install that specific package. You may need to remove the currently installed 0.8 version beforehand.

share|improve this answer
    
It only shows nginx 0.8.54 from amzn-main and amzn-updates. On every yum command, it always tells me that "10 packages excluded due to repository priority protections". Would nginx be blacklisted? how do I take it out from that list? –  Noe Nieto Mar 14 '12 at 18:26
    
Take a look at your /etc/yum.repos.d directory and look for lines like "priority=" in the various configurations. You can add in a "priority=1" line for the nginx repo. Take a look at wiki.centos.org/PackageManagement/Yum/Priorities –  cjc Mar 14 '12 at 18:53
    
Yeah! that solved the problem. They main thing to do is, as you stated, to add "priority=1" to the nginx repo. –  Noe Nieto Mar 14 '12 at 21:27

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.